Bug 86003 - oops on shutdown
oops on shutdown
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-03-11 21:26 EST by Brian Brock
Modified: 2007-04-18 12:51 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Brock 2003-03-11 21:26:01 EST
oops in 2.4.18-26.7.xsmp

system was in mid-shutdown, last line was:

Shutting down FreeWnn:  Unable to handle kernel NULL pointer dereference [...]



kernel-smp-2.4.18-26.7.xsmp

unable to reproduce... had just updated glibc to latest erratum candidate and
oops occured on system shutdown, so attempting to recreate with another similar
system.

Unable to handle kernel NULL pointer dereference at virtual address 0000033c
 printing eip:
c887fa55
*pde = 00000000
Oops: 0000
binfmt_misc nfs lockd sunrpc eepro100 usb_uhci usbcore ext3 jbd aic7xxx sd_mod
scsi_mod
CPU:    0
EIP:    0010:[<c887fa55>]   Not tainted
EFLAGS: 00010293
                                                                               
                                                             
EIP is at ext3_get_inode_loc [ext3] 0x25 (2.4.18-26.7.xsmp)
eax: fffffffe   ebx: 00000000   ecx: c5c03500   edx: 00000000
esi: c0f44c80   edi: c449be34   ebp: c5c03500   esp: c449bda8
ds: 0018   es: 0018   ss: 0018
Process jserver (pid: 1005, stackpage=c449b000)
Stack: 00000000 00000000 c0f44c80 c449be34 c5c03500
                                                                               
                                                             
                                                                               
                                                             
(apologies about missing the rest of it... hand copied oops appears incorrect
beyond that portion of the stack trace.  interrupts did not appear disabled,
however magic sysrq keys weren't on.  )

system needed a manual fsck on reboot, after another shutdown and reboot, all
appears well.
Comment 1 Bugzilla owner 2004-09-30 11:40:38 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.